from sqlalchemy import text

def insert_population_info(s, data):
    query = """
    INSERT INTO populations(region_id, year, population)
    VALUES (:rid, :y, :p)
    """

    s.execute(text(query), {
        "rid": data['region_id'],
        "y": data['year'],
        "p": data['population'],
    })
    s.commit()