from dialogs.edit_dialog_code import EditDialog


class UpdateDialog(EditDialog):
    def __init__(self, regions, init_data, *args, **kwargs) -> None:
        super().__init__(regions, *args, **kwargs)

        self.ui.btnAdd.setText('Изменить')
        self.ui.cmbRegions.setEnabled(False)

        region_name = regions[init_data.region_id].title
        self.ui.cmbRegions.setCurrentText(region_name)

        self.ui.txtPopulation.setText(str(init_data.population))
        self.ui.txtYear.setText(str(init_data.year))