from sqlalchemy import create_engine, text

def update_population_info(s, data, init_data):
    query = """
    UPDATE populations
    SET year = :y, population = :p
    WHERE id = :id
    """

    s.execute(text(query), {
        "y": data['year'],
        "p": data['population'],
        "id": init_data.id,
    })
    s.commit()